--- /dev/null
+# Aufruf:
+# mconfigure -v 0.51.0 frpc
+
+compile_type=NONE
+target_type=DEB
+multibuild=2
+
+echo "run= $run"
+if [ $run -eq 1 ]; then
+ export ARCH=amd64
+elif [ $run -eq 2 ]; then
+ export ARCH=arm
+else
+ echo "unknown run number"
+ exit 2
+fi
+
--- /dev/null
+Source: frpc
+Section: main
+Priority: optional
+Maintainer: Michael Wagner <michael@wagnertech.de>
+Build-Depends: git
+
+Package: frpc
+Architecture: _DEB_HOST_ARCH
+Description: frp server. see http://github.com/fatedier/frp
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p $1/usr/bin
+cp Downloads/frp_${version}_linux_$DEB_HOST_ARCH/frpc $1/usr/bin/
+
+mkdir -p $1/etc
+cp Downloads/frp_${version}_linux_$DEB_HOST_ARCH/frpc.toml $1/etc/
+
+mkdir -p $1/lib/systemd/system
+cp frp/frpc.service $1/lib/systemd/system/
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p Downloads
+cd Downloads
+
+if ! [ -d frp_${version}_linux_$DEB_HOST_ARCH ]
+then
+ rm *tar.gz*
+ wget https://github.com/fatedier/frp/releases/download/v$version/frp_${version}_linux_$DEB_HOST_ARCH.tar.gz
+ tar xf frp_${version}_linux_$DEB_HOST_ARCH.tar.gz
+fi
+
--- /dev/null
+# Aufruf:
+# mconfigure -v 0.51.0 frps
+
+compile_type=NONE
+target_type=DEB
+multibuild=2
+
+echo "run= $run"
+if [ $run -eq 1 ]; then
+ export ARCH=amd64
+elif [ $run -eq 2 ]; then
+ export ARCH=arm
+else
+ echo "unknown run number"
+ exit 2
+fi
+
--- /dev/null
+Source: frps
+Section: main
+Priority: optional
+Maintainer: Michael Wagner <michael@wagnertech.de>
+Build-Depends: git
+
+Package: frps
+Architecture: _DEB_HOST_ARCH
+Description: frp server. see http://github.com/fatedier/frp
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p $1/usr/bin
+cp Downloads/frp_${version}_linux_$DEB_HOST_ARCH/frps $1/usr/bin/
+
+mkdir -p $1/etc
+cp Downloads/frp_${version}_linux_$DEB_HOST_ARCH/frps.toml $1/etc
+
+mkdir -p $1/lib/systemd/system
+cp frp/frps.service $1/lib/systemd/system/
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p Downloads
+cd Downloads
+
+if ! [ -d frp_${version}_linux_$DEB_HOST_ARCH ]
+then
+ rm *tar.gz*
+ wget https://github.com/fatedier/frp/releases/download/v$version/frp_${version}_linux_$DEB_HOST_ARCH.tar.gz
+ tar xf frp_${version}_linux_$DEB_HOST_ARCH.tar.gz
+fi
+
--- /dev/null
+[Unit]
+Description=FRPS fast reverse proxy server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/frpc -c /etc/frpc.toml
+KillMode=process
+Restart=on-failure
+Type=simple
+
+[Install]
+WantedBy=multi-user.target
+Alias=frps.service
+
--- /dev/null
+[Unit]
+Description=FRPS fast reverse proxy server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/frps -c /etc/frps.toml
+KillMode=process
+Restart=on-failure
+Type=simple
+
+[Install]
+WantedBy=multi-user.target
+Alias=frps.service
+